package com.brilliance.common.controller;

import com.brilliance.common.service.CpdBopctyService;
import com.brilliance.isc.bo.Bopcty;
import com.brilliance.isc.vo.ResponseSet;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import java.util.List;

@Slf4j
@Component
@Consumes("application/json")
@Produces("application/json")
@Path("/bopcty")
public class CpdBopctyController {
    @Autowired
    private CpdBopctyService bopctyService;
    @POST
    @Path("/loadBopCtyList")
    public ResponseSet<List<Bopcty>> payeecountcode() {
        return ResponseSet.simpleSuccess(bopctyService.loadBopctyList());
    }
}
