package com.brilliance.common.controller;

import com.brilliance.isc.bo.model.Bopgat;
import com.brilliance.isc.common.bopset.controller.AbstractBopgatController;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.remit.CpdBizAmdInfoVo;
import com.brilliance.isc.vo.remit.CpdBizInfoVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

@Slf4j
@Component
@Consumes("application/json")
@Produces("application/json")
@Path("/bopgat")
public class CpdBopgatController extends AbstractBopgatController<CpdBizInfoVo, CpdBizAmdInfoVo> {
    @POST
    @Path("/cpd/bopGatMapping")
    public ResponseSet<Bopgat> bopGatMapping(@RequestBody Bopgat<CpdBizInfoVo, CpdBizAmdInfoVo> bopgat) {
        return super.mappingBopgatData(bopgat);
    }

    @POST
    @Path("/cpd/bopGatSetAcct")
    public ResponseSet<Bopgat> bopGatSetAcct(@RequestBody Bopgat<CpdBizInfoVo, CpdBizAmdInfoVo> bopgat) {
        return super.bopGatSetAcct(bopgat);
    }
}
