package com.brilliance.common.controller;

import com.brilliance.isc.bo.model.Bopgat;
import com.brilliance.isc.bo.model.Boprem;
import com.brilliance.isc.common.bopset.controller.AbstractBopgatController;
import com.brilliance.isc.common.bopset.controller.AbstractBopremController;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.remit.CpdBizAmdInfoVo;
import com.brilliance.isc.vo.remit.CpdBizInfoVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

@Slf4j
@Component
@Consumes("application/json")
@Produces("application/json")
@Path("/boprem")
public class CpdBopremController extends AbstractBopremController<CpdBizInfoVo, CpdBizAmdInfoVo> {
    @POST
    @Path("/bopRemMapping")
    public ResponseSet<Boprem> bopGatMapping(@RequestBody Boprem<CpdBizInfoVo, CpdBizAmdInfoVo> boprem) {
        return super.mappingBopgatData(boprem);
    }
}