package com.brilliance.common.controller;

import com.brilliance.isc.bo.model.Cfabop;
import com.brilliance.isc.common.bopset.controller.AbstractCfabopController;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.remit.CpdBizAmdInfoVo;
import com.brilliance.isc.vo.remit.CpdBizInfoVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;


@Slf4j
@Component
@Consumes("application/json")
@Produces("application/json")
@Path("/cpd")
public class CpdCfabopController extends AbstractCfabopController<CpdBizInfoVo, CpdBizAmdInfoVo> {
    /**
     * 资本项目报送数据试算
     * @param cfabop
     * @return
     */
    @POST
    @Path("/calcCfabop")
    public ResponseSet<Cfabop> calCfabop(@RequestBody Cfabop<CpdBizInfoVo, CpdBizAmdInfoVo> cfabop) {
        return super.calCfabopData(cfabop);
    }

}
