package com.brilliance.common.controller;

import com.brilliance.isc.common.bop.controller.AbstractRmbController;
import com.brilliance.isc.common.rmbbop.vo.RmbbopRequest;
import com.brilliance.isc.common.rmbbop.vo.RmbbopResponse;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.remit.CpdBizAmdInfoVo;
import com.brilliance.isc.vo.remit.CpdBizInfoVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;


@Slf4j
@Component
@Consumes("application/json")
@Produces("application/json")
@Path("/cpd")
public class CpdRmbController extends AbstractRmbController<CpdBizInfoVo, CpdBizAmdInfoVo> {
    @POST
    @Path("/calcRmbbop")
    public ResponseSet<RmbbopResponse> calcRmbbop(@RequestBody RmbbopRequest<CpdBizInfoVo, CpdBizAmdInfoVo> rmbbopRequest) {
        return super.calcRmbbop(rmbbopRequest);
    }

}
