package com.brilliance.isc.basesel.cptsel.service.impl;

import com.brilliance.isc.vo.funds.FxtselQueryVo;
import com.brilliance.mda.runtime.mda.util.MdaUtils;
import com.brilliance.isc.basesel.cptsel.service.FxtselService;
import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.bo.Busbtn;
import com.brilliance.isc.common.api.bch.service.BchService;
import com.brilliance.isc.common.context.SettleContext;
import com.brilliance.isc.common.util.SettleExceptionUtils;
import com.brilliance.isc.mda.dao.BusbtnMapper;
import com.brilliance.isc.mda.dao.CpdMapper;
import com.brilliance.isc.vo.TrnCodeQueryVo;
import com.brilliance.isc.vo.TrncodVo;
import com.brilliance.isc.vo.remit.CpdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.remit.CptselQueryVo;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.google.common.collect.Lists;
import org.mapstruct.ap.internal.util.Strings;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Objects;

@Service
public class FxtselServiceImpl implements FxtselService {
    @Resource
    private BchService bchService;
    @Resource
    private CpdMapper cpdMapper;
    @Resource
    private BusbtnMapper busbtnMapper;

    @Override
    public PageInfo list(FxtselQueryVo fxtselQueryVo) {
//        String branch = fxtselQueryVo.getBranch();
//        if (Strings.isEmpty(branch)) {
//            branch = SettleContext.getSessionUserVo().getOwnOrgDepartmentNumber();
//        }
//        Bch bch = bchService.getDirectAccBch(branch); //获取到当前登录柜员的记账机构
//        if (Objects.isNull(bch) && !Objects.equals(branch, "1000")) {//非总行机构一定会获取到记账机构，如果没获取到则抛出异常
//            SettleExceptionUtils.sysDump("未获取到机构信息！");
//        }
//        if(!Objects.isNull(bch)){
//            fxtselQueryVo.setBchinr(bch.getInr());
//            //查询归属机构集合
//            List<Bch> bchList = bchService.listAllChildSubBchByAccBch(bch.getBranch());
//            if (bchList != null) {
//                fxtselQueryVo.setBchLst(bchList);
//            }
//        }
//        PageHelper.startPage(fxtselQueryVo.getPageNumber(), fxtselQueryVo.getPageSize()).setReasonable(true);
//        List<CpdWithPtsCbbResponseVo> cpdList = cpdMapper.queryCpd(fxtselQueryVo);
//        for (CpdWithPtsCbbResponseVo cpd:cpdList) {
//            if(!MdaUtils.isEmpty(cpd.getPyeExtkey())) {
//                cpd.setPyeExtkey(cpd.getPyeExtkey().split("-")[0]);
//            }
//            if(!MdaUtils.isEmpty(cpd.getOrcExtkey())) {
//                cpd.setOrcExtkey(cpd.getOrcExtkey().split("-")[0]);
//            }
//        }
//        return new PageInfo(cpdList);
    }

    @Override
    public List<TrncodVo> dealWithByInr(TrnCodeQueryVo trnCodeQueryVo) {
        List<TrncodVo> result = Lists.newArrayList();
        //获取模型数据
//      Lidgrp lidgrp = lcToolComponent.getLidgrpByInr(inr);
        List<Busbtn> busbtnList = busbtnMapper.selectByBustypAndIsShow(trnCodeQueryVo.getType());
        String isAllowed = "Y";
        String disResult = "";
        for (int i = 0; i < busbtnList.size(); i++) {
            //按钮亮灰显逻辑
//          isAllowed =  lcToolComponent.isLITrnAllowed(lidgrp,lgTraArray[i]);
            TrncodVo trncodVo = new TrncodVo(busbtnList.get(i).getInifrm(), busbtnList.get(i).getBtnnam(), isAllowed, busbtnList.get(i).getIsMain(), disResult);
            result.add(trncodVo);
        }
        return result;
    }
}
