package com.brilliance.isc.vo.funds;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;

import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @author: hulei
 * @create: 2024-09-25 15:10
 **/

public class FxtselQueryVo extends CommonResult {

    /**
     * 汇款主表唯一编号
     */
    private String inr;
    /*
    汇款业务编号
     */
    private String seaownref;

    /**
     * 机构编号
     */
    private String bchinr;
    /**
     * 机构编码
     */
    private String branch;

    /**
     * 归属机构集合
     */
    private List<Bch> bchLst;
    /**
     * 汇款开始日期
     */
    private String opndatfrom;
    /**
     * 汇款截止日期
     */
    private String opndatto;

    /**
     * 客户号/名称
     */
    private String searef;
    /**
     * 汇款邮路
     */
    private String route;

    /**
     * 汇款类型
     */
    private String paytyp;
    /**
     * 是否闭卷
     */
    private String isClosed;

    /**
     * 业务类型
     */
    private String pnttyp;
    /**
     * 汇款类型
     */
    private String seapaytyp;
    /**
     *单据类型
     */
    private String seadoctyp;
    /**
     * 客户号
     */
    private String ptyExtkey;
    /**
     * 当事人BIC/名称
     */
    private String seapty;
    /**
     * 业务状态
     */
    private String  seasta;
    /**
     * //币种
     */
    private String seacur;
    /**
     * //金额
     */
    private BigDecimal seaamt;
    /**
     * //金额
     */
    private BigDecimal seaamtfr;
    /**
     * //金额
     */
    private BigDecimal seaamtto;
    /**
     * swift类型
     */
    private String msgtyp;
    /**
     * 国家代码
     */
    private String countcode;
    /**
     * 同名划转标志
     */
    private String tsnflg;
    /**
     * 机构
     */
    private String branchinr;
    /**
     * 柜员
     */
    private String ownusr;
    /**
     * 前端渠道
     */
    private String channel;
    /**
     * 渠道业务编号
     */
    private String chnref;

    /**
     * 排序字段
     */
    private String column;

    /**
     * 正序倒序
     */
    private String order;

}
